### Method

# Gsk RoundedRect init

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_init (
      GskRoundedRect* self,
      const graphene_rect_t* bounds,
      const graphene_size_t* top_left,
      const graphene_size_t* top_right,
      const graphene_size_t* bottom_right,
      const graphene_size_t* bottom_left
    )

#### Description [src]

Initializes a rounded rectangle with the given values.

This function will implicitly normalize the rounded rectangle before returning.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  A `graphene_rect_t` describing the bounds.

  The data is owned by the caller of the method.

`top_left`

  Type: `graphene_size_t`

  The rounding radius of the top left corner.

  The data is owned by the caller of the method.

`top_right`

  Type: `graphene_size_t`

  The rounding radius of the top right corner.

  The data is owned by the caller of the method.

`bottom_right`

  Type: `graphene_size_t`

  The rounding radius of the bottom right corner.

  The data is owned by the caller of the method.

`bottom_left`

  Type: `graphene_size_t`

  The rounding radius of the bottom left corner.

  The data is owned by the caller of the method.

#### Return value

Type: `GskRoundedRect`

The initialized rounded rectangle.

The returned data is owned by the instance.